import * as $dara from '@darabonba/typescript';
export declare class DescribeFlowLogsResponseBodyFlowLogsFlowLogTagsTag extends $dara.Model {
    key?: string;
    value?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeFlowLogsResponseBodyFlowLogsFlowLogTags extends $dara.Model {
    tag?: DescribeFlowLogsResponseBodyFlowLogsFlowLogTagsTag[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeFlowLogsResponseBodyFlowLogsFlowLogTrafficPath extends $dara.Model {
    trafficPathList?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeFlowLogsResponseBodyFlowLogsFlowLog extends $dara.Model {
    aggregationInterval?: number;
    businessStatus?: string;
    creationTime?: string;
    description?: string;
    flowLogDeliverErrorMessage?: string;
    flowLogDeliverStatus?: string;
    flowLogId?: string;
    flowLogName?: string;
    ipVersion?: string;
    logStoreName?: string;
    projectName?: string;
    regionId?: string;
    resourceGroupId?: string;
    resourceId?: string;
    resourceType?: string;
    serviceType?: string;
    status?: string;
    tags?: DescribeFlowLogsResponseBodyFlowLogsFlowLogTags;
    trafficPath?: DescribeFlowLogsResponseBodyFlowLogsFlowLogTrafficPath;
    trafficType?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeFlowLogsResponseBodyFlowLogs extends $dara.Model {
    flowLog?: DescribeFlowLogsResponseBodyFlowLogsFlowLog[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeFlowLogsResponseBody extends $dara.Model {
    flowLogs?: DescribeFlowLogsResponseBodyFlowLogs;
    /**
     * @remarks
     * The page number.
     *
     * @example
     * 1
     */
    pageNumber?: string;
    /**
     * @remarks
     * The number of items per page in a paginated query.
     *
     * @example
     * 20
     */
    pageSize?: string;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * F7DDDC17-FA06-4AC2-8F35-59D2470FCFC1
     */
    requestId?: string;
    /**
     * @remarks
     * Indicates whether the call was successful. Values:
     * - **true**: The call was successful.
     * - **false**: The call failed.
     *
     * @example
     * true
     */
    success?: string;
    /**
     * @remarks
     * The number of entries in the queried flow log list.
     *
     * @example
     * 1
     */
    totalCount?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
